Bug 1552192 - Update python-jinja2 to version 2.10
Summary: Update python-jinja2 to version 2.10
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks: 1551821 1552448
TreeView+ depends on / blocked
 
Reported: 2018-03-06 16:32 UTC by Carlos Goncalves
Modified: 2018-03-08 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-08 00:03:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 12804 None None None 2018-03-07 11:40:26 UTC
RDO 12810 None None None 2018-03-07 17:13:51 UTC

Description Carlos Goncalves 2018-03-06 16:32:42 UTC
Description of problem:
jinja2 >= 2.10 is required by Octavia starting from Queens. See bz#1551821 for trace.


How reproducible: 100% reproducible


Steps to Reproduce:
1. openstack loadbalancer create --name lb1 --vip-subnet-id $PUBLIC_SUBNET_NAME
2. openstack loadbalancer listener create --name listener1 --protocol HTTP --protocol-port 80 lb1

Actual results:

2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server Traceback (most recent call last):
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/server.py", line 163, in _process_incoming
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     res = self.dispatcher.dispatch(message)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 220, in dispatch
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     return self._do_dispatch(endpoint, method, ctxt, args)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/dispatcher.py", line 190, in _do_dispatch
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     result = func(ctxt, **new_args)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/octavia/controller/queue/endpoint.py", line 68, in create_listener
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     self.worker.create_listener(listener_id)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/octavia/controller/worker/controller_worker.py", line 206, in create_listener
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     create_listener_tf.run()
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 247, in run
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     for _state in self.run_iter(timeout=timeout):
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 340, in run_iter
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     failure.Failure.reraise_if_any(er_failures)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 336, in reraise_if_any
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     failures[0].reraise()
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 343, in reraise
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     six.reraise(*self._exc_info)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/executor.py", line 53, in _execute_task
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     result = task.execute(**arguments)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/octavia/controller/worker/tasks/amphora_driver_tasks.py", line 56, in execute
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     self.amphora_driver.update(listener, loadbalancer.vip)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/octavia/amphorae/drivers/haproxy/rest_api_driver.py", line 76, in update
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     user_group=CONF.haproxy_amphora.user_group)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/octavia/common/jinja/haproxy/jinja_cfg.py", line 101, in build_config
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     socket_path=socket_path)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/octavia/common/jinja/haproxy/jinja_cfg.py", line 146, in render_loadbalancer_obj
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     constants=constants)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 989, in render
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     return self.environment.handle_exception(exc_info, True)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 754, in handle_exception
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     reraise(exc_type, exc_value, tb)
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/octavia/common/jinja/haproxy/templates/base.j2", line 32, in template
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server     {% set found_ns.found = true %}
2018-03-05 22:30:06.730 22264 ERROR oslo_messaging.rpc.server TemplateSyntaxError: expected token 'end of statement block', got '.'

Trace from bz#1551821

Expected results:

Cal from 'openstack loadbalancer listener create' would create listener and return successfully.


Additional info:

Bump in global-requirements.txt and lower-constraints.txt: https://review.openstack.org/#/c/549913/

According to Javier Pena, we have 2.10 in Fedora so we could try a rebuild.


Note You need to log in before you can comment on or make changes to this bug.